aboutsummaryrefslogtreecommitdiff
path: root/src/cpt-build
diff options
context:
space:
mode:
Diffstat (limited to 'src/cpt-build')
-rwxr-xr-xsrc/cpt-build13
1 files changed, 13 insertions, 0 deletions
diff --git a/src/cpt-build b/src/cpt-build
new file mode 100755
index 0000000..b577176
--- /dev/null
+++ b/src/cpt-build
@@ -0,0 +1,13 @@
+#!/bin/sh
+# Build a package
+
+# shellcheck disable=1091
+if command -v cpt-lib >/dev/null; then . cpt-lib; else . ./cpt-lib; fi
+
+case "$1" in
+ '') set -- "${PWD##*/}"; export CPT_PATH=${PWD%/*}:$CPT_PATH ;;
+ --help|-h) out "usage: ${0##*/} [pkg...]"; exit 1 ;;
+ --version|-v) version ;;
+esac
+
+pkg_build "$@"